Reports
Endpoints for reporting against block models
List Report Specifications for a block model
Block Model API
Gets all Report Specifications for the block model bm_id.
The list is ordered alphabetically in ascending order.
This endpoint is paginated, therefore by default this lists, at most, the first 50 items. To get other items, use
the offset and limit query parameters to select the desired part of the list.
An offset beyond the total number of Report Specifications for the block model will result in an empty results list.
The limit must be an integer from 1 to 100.
The response includes total, which is the total number of items within the list.
All workspace roles can use this endpoint.
Parameters
Example: "860be2f5-fe06-4c1b-ac8b-7d34d2b6d2ef"
ID of the workspace this call is scoped to. Represented as a v4 UUID.
Example: "bf1a040c-8c58-4bc2-bec2-c5ae7de8bd84"
ID of the organization this call is scoped to. Represented as a v4 UUID.
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model this call is scoped to. Represented as a v4 UUID.
Index of the first item to return.
50Maximum number of items to return from the list. Must be greater than 0 and less than or equal to 100.
Returns
200
Successful Response
Number of results returned in results
Maximum number of items requested
Index of the first item in results with respect to the full list without pagination
List of all units referenced in the results
Examples: 1, 1000
Conversion factor to convert to the reference unit for this unit type
Examples: "Metres", "Kilograms per cubic metre"
Description of the unit
Examples: "m", "kg/m³"
Display symbol for the unit
Examples: "m", "kg/m3"
ID of the unit
Examples: "LENGTH", "MASS_PER_VOLUME"
Type of the unit
List of results
trueWhether to automatically run this Report Specification when a new version is published
Example: {"i_minmax":{"max":1,"min":0},"j_minmax":{"max":1,"min":0},"k_minmax":{"max":1,"min":0}}
Bounding box for the report
Minimum and maximum values for the i column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the j column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the k column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the x column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the y column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the z column in the file
Maximum value for the column
Minimum value for the column
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model this Report Specification is associated with
Example: [{"col_id":"11c277c2-edc6-4a7a-8380-251dd19231f2","label":"Grade","values":["low","medium","high"]}]
Category columns within this Report Specification. If null or empty, the report will have a single total row for each cut-off.
Example: [{"aggregation":"SUM","col_id":"abc277c2-edc6-4a7a-8380-251dd19231f2","label":"Au content","output_unit_id":"kg"}]
Columns within this Report Specification
Examples: "SUM", "MASS_AVERAGE"
The aggregation method to use for the column
Example: "13c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column in the block model
Example: "Au Content"
The human-readable label used to identify the column
Example: "kg"
ID of the unit to use for the column output
Example: "13c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column to use for cut-off evaluation
Example: [0.5,1.5,5]
Values to use for cut-off evaluation
Example: "24c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column to use for block density
Example: "kg/m3"
ID of the unit to use for block density. The unit must be of type MASS_PER_VOLUME.
Example: 2.5
Value to use for block density
Example: "Gold resource report for test purposes"
User-supplied description of the report
Example: "2021-01-01T00:00:00Z"
Creation date of the Report Result
Example: 2
Version ID of the version of the block model that the report was run on
Example: "t"
ID of the unit to use for total mass. The unit must be of type MASS
The human-readable label used to identify the report
Example: "USE"
"IGNORE_BLOCK"Policy for handling negative values in the report's cut-off or value columns
Example: "ZERO"
"IGNORE_BLOCK"Policy for handling null values in the report's cut-off or value columns
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the Report Specification
Revision number of this Report Specification
Volume filter options for this report
Volume filter expression
Mesh defining the volume filter
UUID of the mesh
Version ID of the mesh; uses latest when omitted
Identifier for nested mesh within a geological-model-mesh
Relation for the volume filter
Operator joining the nested volume filters
Volume filters or nested volume filter groups
How qualifying blocks contribute to the report
Total number of items within the full list without pagination
Endpoint
Request
curl -X GET 'https://{service_host}/blockmodel/orgs/{org_id}/workspaces/{workspace_id}/block-models/{bm_id}/report-specifications' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"count": 0,
"limit": 0,
"offset": 0,
"referenced_units": [
{
"conversion_factor": 1,
"description": "Metres",
"symbol": "m",
"unit_id": "m",
"unit_type": "LENGTH"
}
],
"results": [
{
"autorun": true,
"bbox": {
"i_minmax": {
"max": 0,
"min": 0
},
"j_minmax": {
"max": 0,
"min": 0
},
"k_minmax": {
"max": 0,
"min": 0
}
},
"bm_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"categories": [
{
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "string",
"values": [
"string"
]
}
],
"columns": [
{
"aggregation": "SUM",
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "Au Content",
"output_unit_id": "kg"
}
],
"cutoff_col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"cutoff_values": [
0
],
"density_col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"density_unit_id": "string",
"density_value": 0,
"description": "string",
"last_result_created_at": "2024-07-29T15:51:28.071Z",
"last_result_version_id": 0,
"mass_unit_id": "t",
"name": "string",
"negative_values_policy": "USE",
"null_values_policy": "ZERO",
"report_specification_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"revision": 0,
"volume_filter_options": {
"volume_filter": {
"mesh": {
"geoscience_object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"geoscience_version_id": "string",
"selector": "string"
},
"spatial_relation": "INSIDE"
},
"volume_filter_block_inclusion": "CENTROID_IN"
}
}
],
"total": 0
}
Create a Report Specification
Block Model API
Create a new Report Specification for the block model.
The Report Specification defines the columns and categories that will be used to generate reports for the block model.
The cut-off columns are used to determine whether a block is included in the report. A list of values can be provided in cut_off_values,
each of which will be calculated as a sub-report.
To calculate column totals, density information is derived from either the block model data in the column indicated by
density_col_id, or if density_col_id is unset or contains null values, the density_value is used.
Parameters
Example: "860be2f5-fe06-4c1b-ac8b-7d34d2b6d2ef"
ID of the workspace this call is scoped to. Represented as a v4 UUID.
Example: "bf1a040c-8c58-4bc2-bec2-c5ae7de8bd84"
ID of the organization this call is scoped to. Represented as a v4 UUID.
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model this call is scoped to. Represented as a v4 UUID.
Whether to trigger a Reporting Job immediately after the creation of the Report Specification
trueWhether to automatically run this Report Specification when a new version is published
Example: {"i_minmax":{"max":1,"min":0},"j_minmax":{"max":1,"min":0},"k_minmax":{"max":1,"min":0}}
Bounding box for the report
Minimum and maximum values for the i column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the j column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the k column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the x column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the y column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the z column in the file
Maximum value for the column
Minimum value for the column
Example: [{"col_id":"11c277c2-edc6-4a7a-8380-251dd19231f2","label":"Grade","values":["low","medium","high"]}]
Category columns within this Report Specification. If null or empty, the report will have a single total row for each cut-off.
Example: [{"aggregation":"SUM","col_id":"abc277c2-edc6-4a7a-8380-251dd19231f2","label":"Au content","output_unit_id":"kg"}]
Columns within this Report Specification
Examples: "SUM", "MASS_AVERAGE"
The aggregation method to use for the column
Example: "13c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column in the block model
Example: "Au Content"
The human-readable label used to identify the column
Example: "kg"
ID of the unit to use for the column output
Example: "13c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column to use for cut-off evaluation
Example: [0.5,1.5,5]
Values to use for cut-off evaluation
Example: "24c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column to use for block density
Example: "kg/m3"
ID of the unit to use for block density. The unit must be of type MASS_PER_VOLUME.
Example: 2.5
Value to use for block density
Example: "Gold resource report for test purposes"
User-supplied description of the report
Example: "t"
ID of the unit to use for total mass. The unit must be of type MASS
The human-readable label used to identify the report
Example: "USE"
"IGNORE_BLOCK"Policy for handling negative values in the report's cut-off or value columns
Example: "ZERO"
"IGNORE_BLOCK"Policy for handling null values in the report's cut-off or value columns
Volume filter options for this report
Volume filter expression
Mesh defining the volume filter
UUID of the mesh
Version ID of the mesh; uses latest when omitted
Identifier for nested mesh within a geological-model-mesh
Relation for the volume filter
Operator joining the nested volume filters
Volume filters or nested volume filter groups
How qualifying blocks contribute to the report
{
"autorun": true,
"bbox": {
"i_minmax": {
"max": 0,
"min": 0
},
"j_minmax": {
"max": 0,
"min": 0
},
"k_minmax": {
"max": 0,
"min": 0
}
},
"categories": [
{
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "string",
"values": [
"string"
]
}
],
"columns": [
{
"aggregation": "SUM",
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "Au Content",
"output_unit_id": "kg"
}
],
"cutoff_col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"cutoff_values": [
0
],
"density_col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"density_unit_id": "string",
"density_value": 0,
"description": "string",
"mass_unit_id": "t",
"name": "string",
"negative_values_policy": "IGNORE_BLOCK",
"null_values_policy": "IGNORE_BLOCK",
"volume_filter_options": {
"volume_filter": {
"mesh": {
"geoscience_object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"geoscience_version_id": "string",
"selector": "string"
},
"spatial_relation": "INSIDE"
},
"volume_filter_block_inclusion": "CENTROID_IN"
}
}
Returns
201
Successful Response
trueWhether to automatically run this Report Specification when a new version is published
Example: {"i_minmax":{"max":1,"min":0},"j_minmax":{"max":1,"min":0},"k_minmax":{"max":1,"min":0}}
Bounding box for the report
Minimum and maximum values for the i column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the j column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the k column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the x column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the y column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the z column in the file
Maximum value for the column
Minimum value for the column
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model this Report Specification is associated with
Example: [{"col_id":"11c277c2-edc6-4a7a-8380-251dd19231f2","label":"Grade","values":["low","medium","high"]}]
Category columns within this Report Specification. If null or empty, the report will have a single total row for each cut-off.
Example: [{"aggregation":"SUM","col_id":"abc277c2-edc6-4a7a-8380-251dd19231f2","label":"Au content","output_unit_id":"kg"}]
Columns within this Report Specification
Examples: "SUM", "MASS_AVERAGE"
The aggregation method to use for the column
Example: "13c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column in the block model
Example: "Au Content"
The human-readable label used to identify the column
Example: "kg"
ID of the unit to use for the column output
Example: "13c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column to use for cut-off evaluation
Example: [0.5,1.5,5]
Values to use for cut-off evaluation
Example: "24c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column to use for block density
Example: "kg/m3"
ID of the unit to use for block density. The unit must be of type MASS_PER_VOLUME.
Example: 2.5
Value to use for block density
Example: "Gold resource report for test purposes"
User-supplied description of the report
URL for the Reporting Job, if run_now was requested
Example: "t"
ID of the unit to use for total mass. The unit must be of type MASS
The human-readable label used to identify the report
Example: "USE"
"IGNORE_BLOCK"Policy for handling negative values in the report's cut-off or value columns
Example: "ZERO"
"IGNORE_BLOCK"Policy for handling null values in the report's cut-off or value columns
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the Report Specification
Revision number of this Report Specification
Volume filter options for this report
Volume filter expression
Mesh defining the volume filter
UUID of the mesh
Version ID of the mesh; uses latest when omitted
Identifier for nested mesh within a geological-model-mesh
Relation for the volume filter
Operator joining the nested volume filters
Volume filters or nested volume filter groups
How qualifying blocks contribute to the report
Endpoint
Request
curl -X POST 'https://{service_host}/blockmodel/orgs/{org_id}/workspaces/{workspace_id}/block-models/{bm_id}/report-specifications' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"autorun": true,
"bbox": {
"i_minmax": {
"max": 0,
"min": 0
},
"j_minmax": {
"max": 0,
"min": 0
},
"k_minmax": {
"max": 0,
"min": 0
}
},
"bm_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"categories": [
{
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "string",
"values": [
"string"
]
}
],
"columns": [
{
"aggregation": "SUM",
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "Au Content",
"output_unit_id": "kg"
}
],
"cutoff_col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"cutoff_values": [
0
],
"density_col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"density_unit_id": "string",
"density_value": 0,
"description": "string",
"job_url": "https://example.com",
"mass_unit_id": "t",
"name": "string",
"negative_values_policy": "USE",
"null_values_policy": "ZERO",
"report_specification_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"revision": 0,
"volume_filter_options": {
"volume_filter": {
"mesh": {
"geoscience_object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"geoscience_version_id": "string",
"selector": "string"
},
"spatial_relation": "INSIDE"
},
"volume_filter_block_inclusion": "CENTROID_IN"
}
}
Get a Report Specification
Block Model API
Get an individual Report Specification
Parameters
Example: "e478e8de-f6ba-4920-8c6e-0882e90f00e2"
ID of the Report Specification that this call is scoped to. Represented as a v4 UUID.
Example: "860be2f5-fe06-4c1b-ac8b-7d34d2b6d2ef"
ID of the workspace this call is scoped to. Represented as a v4 UUID.
Example: "bf1a040c-8c58-4bc2-bec2-c5ae7de8bd84"
ID of the organization this call is scoped to. Represented as a v4 UUID.
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model this call is scoped to. Represented as a v4 UUID.
Returns
200
Successful Response
trueWhether to automatically run this Report Specification when a new version is published
Example: {"i_minmax":{"max":1,"min":0},"j_minmax":{"max":1,"min":0},"k_minmax":{"max":1,"min":0}}
Bounding box for the report
Minimum and maximum values for the i column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the j column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the k column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the x column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the y column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the z column in the file
Maximum value for the column
Minimum value for the column
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model this Report Specification is associated with
Example: [{"col_id":"11c277c2-edc6-4a7a-8380-251dd19231f2","label":"Grade","values":["low","medium","high"]}]
Category columns within this Report Specification. If null or empty, the report will have a single total row for each cut-off.
Example: [{"aggregation":"SUM","col_id":"abc277c2-edc6-4a7a-8380-251dd19231f2","label":"Au content","output_unit_id":"kg"}]
Columns within this Report Specification
Examples: "SUM", "MASS_AVERAGE"
The aggregation method to use for the column
Example: "13c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column in the block model
Example: "Au Content"
The human-readable label used to identify the column
Example: "kg"
ID of the unit to use for the column output
Example: "13c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column to use for cut-off evaluation
Example: [0.5,1.5,5]
Values to use for cut-off evaluation
Example: "24c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column to use for block density
Example: "kg/m3"
ID of the unit to use for block density. The unit must be of type MASS_PER_VOLUME.
Example: 2.5
Value to use for block density
Example: "Gold resource report for test purposes"
User-supplied description of the report
Example: "2021-01-01T00:00:00Z"
Creation date of the Report Result
Example: 2
Version ID of the version of the block model that the report was run on
Example: "t"
ID of the unit to use for total mass. The unit must be of type MASS
The human-readable label used to identify the report
Example: "USE"
"IGNORE_BLOCK"Policy for handling negative values in the report's cut-off or value columns
Example: "ZERO"
"IGNORE_BLOCK"Policy for handling null values in the report's cut-off or value columns
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the Report Specification
Revision number of this Report Specification
Volume filter options for this report
Volume filter expression
Mesh defining the volume filter
UUID of the mesh
Version ID of the mesh; uses latest when omitted
Identifier for nested mesh within a geological-model-mesh
Relation for the volume filter
Operator joining the nested volume filters
Volume filters or nested volume filter groups
How qualifying blocks contribute to the report
Endpoint
Request
curl -X GET 'https://{service_host}/blockmodel/orgs/{org_id}/workspaces/{workspace_id}/block-models/{bm_id}/report-specifications/{rs_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"autorun": true,
"bbox": {
"i_minmax": {
"max": 0,
"min": 0
},
"j_minmax": {
"max": 0,
"min": 0
},
"k_minmax": {
"max": 0,
"min": 0
}
},
"bm_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"categories": [
{
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "string",
"values": [
"string"
]
}
],
"columns": [
{
"aggregation": "SUM",
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "Au Content",
"output_unit_id": "kg"
}
],
"cutoff_col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"cutoff_values": [
0
],
"density_col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"density_unit_id": "string",
"density_value": 0,
"description": "string",
"last_result_created_at": "2024-07-29T15:51:28.071Z",
"last_result_version_id": 0,
"mass_unit_id": "t",
"name": "string",
"negative_values_policy": "USE",
"null_values_policy": "ZERO",
"report_specification_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"revision": 0,
"volume_filter_options": {
"volume_filter": {
"mesh": {
"geoscience_object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"geoscience_version_id": "string",
"selector": "string"
},
"spatial_relation": "INSIDE"
},
"volume_filter_block_inclusion": "CENTROID_IN"
}
}
Update a Report Specification
Block Model API
Update a Report Specification for the block model.
Changes to any properties other than name, description, and autorun will incrememnt the revision number on the Report
Specification, as results based on older revisions may no longer be comparable.
Parameters
Example: "e478e8de-f6ba-4920-8c6e-0882e90f00e2"
ID of the Report Specification that this call is scoped to. Represented as a v4 UUID.
Example: "860be2f5-fe06-4c1b-ac8b-7d34d2b6d2ef"
ID of the workspace this call is scoped to. Represented as a v4 UUID.
Example: "bf1a040c-8c58-4bc2-bec2-c5ae7de8bd84"
ID of the organization this call is scoped to. Represented as a v4 UUID.
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model this call is scoped to. Represented as a v4 UUID.
Whether to trigger a Reporting Job immediately after the update of the Report Specification
trueWhether to automatically run this Report Specification when a new version is published
Example: {"i_minmax":{"max":1,"min":0},"j_minmax":{"max":1,"min":0},"k_minmax":{"max":1,"min":0}}
Bounding box for the report
Minimum and maximum values for the i column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the j column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the k column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the x column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the y column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the z column in the file
Maximum value for the column
Minimum value for the column
Example: [{"col_id":"11c277c2-edc6-4a7a-8380-251dd19231f2","label":"Grade","values":["low","medium","high"]}]
Category columns within this Report Specification. If null or empty, the report will have a single total row for each cut-off.
Example: [{"aggregation":"SUM","col_id":"abc277c2-edc6-4a7a-8380-251dd19231f2","label":"Au content","output_unit_id":"kg"}]
Columns within this Report Specification
Examples: "SUM", "MASS_AVERAGE"
The aggregation method to use for the column
Example: "13c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column in the block model
Example: "Au Content"
The human-readable label used to identify the column
Example: "kg"
ID of the unit to use for the column output
Example: "13c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column to use for cut-off evaluation
Example: [0.5,1.5,5]
Values to use for cut-off evaluation
Example: "24c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column to use for block density
Example: "kg/m3"
ID of the unit to use for block density. The unit must be of type MASS_PER_VOLUME.
Example: 2.5
Value to use for block density
Example: "Gold resource report for test purposes"
User-supplied description of the report
Example: "t"
ID of the unit to use for total mass. The unit must be of type MASS
The human-readable label used to identify the report
Example: "USE"
Policy for handling negative values in the report's cut-off or value columns. If omitted or null, the existing policy will be retained
Example: "ZERO"
Policy for handling null values in the report's cut-off or value columns. If omitted or null, the existing policy will be retained
Volume filter options for this report
Volume filter expression
Mesh defining the volume filter
UUID of the mesh
Version ID of the mesh; uses latest when omitted
Identifier for nested mesh within a geological-model-mesh
Relation for the volume filter
Operator joining the nested volume filters
Volume filters or nested volume filter groups
How qualifying blocks contribute to the report
{
"autorun": true,
"bbox": {
"i_minmax": {
"max": 0,
"min": 0
},
"j_minmax": {
"max": 0,
"min": 0
},
"k_minmax": {
"max": 0,
"min": 0
}
},
"categories": [
{
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "string",
"values": [
"string"
]
}
],
"columns": [
{
"aggregation": "SUM",
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "Au Content",
"output_unit_id": "kg"
}
],
"cutoff_col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"cutoff_values": [
0
],
"density_col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"density_unit_id": "string",
"density_value": 0,
"description": "string",
"mass_unit_id": "t",
"name": "string",
"negative_values_policy": "USE",
"null_values_policy": "ZERO",
"volume_filter_options": {
"volume_filter": {
"mesh": {
"geoscience_object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"geoscience_version_id": "string",
"selector": "string"
},
"spatial_relation": "INSIDE"
},
"volume_filter_block_inclusion": "CENTROID_IN"
}
}
Returns
200
Successful Response
trueWhether to automatically run this Report Specification when a new version is published
Example: {"i_minmax":{"max":1,"min":0},"j_minmax":{"max":1,"min":0},"k_minmax":{"max":1,"min":0}}
Bounding box for the report
Minimum and maximum values for the i column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the j column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the k column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the x column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the y column in the file
Maximum value for the column
Minimum value for the column
Minimum and maximum values for the z column in the file
Maximum value for the column
Minimum value for the column
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model this Report Specification is associated with
Example: [{"col_id":"11c277c2-edc6-4a7a-8380-251dd19231f2","label":"Grade","values":["low","medium","high"]}]
Category columns within this Report Specification. If null or empty, the report will have a single total row for each cut-off.
Example: [{"aggregation":"SUM","col_id":"abc277c2-edc6-4a7a-8380-251dd19231f2","label":"Au content","output_unit_id":"kg"}]
Columns within this Report Specification
Examples: "SUM", "MASS_AVERAGE"
The aggregation method to use for the column
Example: "13c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column in the block model
Example: "Au Content"
The human-readable label used to identify the column
Example: "kg"
ID of the unit to use for the column output
Example: "13c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column to use for cut-off evaluation
Example: [0.5,1.5,5]
Values to use for cut-off evaluation
Example: "24c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column to use for block density
Example: "kg/m3"
ID of the unit to use for block density. The unit must be of type MASS_PER_VOLUME.
Example: 2.5
Value to use for block density
Example: "Gold resource report for test purposes"
User-supplied description of the report
URL for the Reporting Job, if run_now was requested
Example: "t"
ID of the unit to use for total mass. The unit must be of type MASS
The human-readable label used to identify the report
Example: "USE"
"IGNORE_BLOCK"Policy for handling negative values in the report's cut-off or value columns
Example: "ZERO"
"IGNORE_BLOCK"Policy for handling null values in the report's cut-off or value columns
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the Report Specification
Revision number of this Report Specification
Volume filter options for this report
Volume filter expression
Mesh defining the volume filter
UUID of the mesh
Version ID of the mesh; uses latest when omitted
Identifier for nested mesh within a geological-model-mesh
Relation for the volume filter
Operator joining the nested volume filters
Volume filters or nested volume filter groups
How qualifying blocks contribute to the report
Endpoint
Request
curl -X PATCH 'https://{service_host}/blockmodel/orgs/{org_id}/workspaces/{workspace_id}/block-models/{bm_id}/report-specifications/{rs_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"autorun": true,
"bbox": {
"i_minmax": {
"max": 0,
"min": 0
},
"j_minmax": {
"max": 0,
"min": 0
},
"k_minmax": {
"max": 0,
"min": 0
}
},
"bm_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"categories": [
{
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "string",
"values": [
"string"
]
}
],
"columns": [
{
"aggregation": "SUM",
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "Au Content",
"output_unit_id": "kg"
}
],
"cutoff_col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"cutoff_values": [
0
],
"density_col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"density_unit_id": "string",
"density_value": 0,
"description": "string",
"job_url": "https://example.com",
"mass_unit_id": "t",
"name": "string",
"negative_values_policy": "USE",
"null_values_policy": "ZERO",
"report_specification_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"revision": 0,
"volume_filter_options": {
"volume_filter": {
"mesh": {
"geoscience_object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"geoscience_version_id": "string",
"selector": "string"
},
"spatial_relation": "INSIDE"
},
"volume_filter_block_inclusion": "CENTROID_IN"
}
}
Get a Report Result
Block Model API
Get a Report Result
Parameters
Example: "e478e8de-f6ba-4920-8c6e-0882e90f00e2"
ID of the Report Specification that this call is scoped to. Represented as a v4 UUID.
Example: "e478e8de-f6ba-4920-8c6e-0882e90f00e2"
ID of the Report Result that this call is scoped to. Represented as a v4 UUID.
Example: "860be2f5-fe06-4c1b-ac8b-7d34d2b6d2ef"
ID of the workspace this call is scoped to. Represented as a v4 UUID.
Example: "bf1a040c-8c58-4bc2-bec2-c5ae7de8bd84"
ID of the organization this call is scoped to. Represented as a v4 UUID.
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model this call is scoped to. Represented as a v4 UUID.
Returns
200
Successful Response
Example: "bbb277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model that the report was run on
Example: {"col_id":"ddd277c2-edc6-4a7a-8380-251dd19231f2","label":"Rock type"}
List of categories used in the report
Example: "ddd277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model column
Example: "Rock type"
Label of the column
Example: "ccc277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column that was used for cut-off evaluation
Example: "eee277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model column
Example: "Utf8"
Data type of the referenced column in the Report Result
Example: "Something"
Title of the referenced column
Example: "ppm[mass]"
ID of the unit of the column
Example: "ccc277c2-edc6-4a7a-8380-251dd19231f2"
Version UUID of the version of block model that the unid was from
Example: "2021-01-01T00:00:00Z"
Creation date of the Report Result
Example: "ccc277c2-edc6-4a7a-8380-251dd19231f2"
ID of the Report Result
Example: "A report to show the density of the block model"
Description of the report specification that was run
Example: "Density Report"
Name of the report specification that was run
Example: 1
Revision of the report specification that was run
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the report specification that was run
Example: 0.5
Cut-off value for this set
List of rows in this result set
Example: ["Granite"]
List of category values. null indicates a total for that category column.
Example: [2.7,0.3]
List of values for the value columns
Example: {"col_id":"eee277c2-edc6-4a7a-8380-251dd19231f2","label":"Average gold content","unit_id":"ppm[mass]"}
List of value columns used in the report
Example: "eee277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model column, if applicable. This will be null for system-calculated columns such as 'Mass'
Example: "Average gold content"
Label of the column
Example: "ppm[mass]"
ID of the unit of the column
Example: "Updated density"
Comment of the version of the block model that the report was run on
Example: "2021-01-01T00:00:00Z"
Creation date of the version of the block model that the report was run on
User who created the version of the block model that the report was run on
Example: 2
Version ID of the version of block model that the report was run on
Example: "ccc277c2-edc6-4a7a-8380-251dd19231f2"
Version UUID of the version of block model that the report was run on
Volume filter options applied to the report
Volume filter expression
Mesh defining the volume filter
UUID of the mesh
Version ID of the mesh; uses latest when omitted
Identifier for nested mesh within a geological-model-mesh
Relation for the volume filter
Operator joining the nested volume filters
Volume filters or nested volume filter groups
How qualifying blocks contribute to the report
Example: "Density value was null, or less than or equal to 0. The default density value of 2.7 was used."
Warning message
Example: 1
Number of occurrences of the warning
Example: "INVALID_DENSITY_VALUE"
Type of warning
Endpoint
Request
curl -X GET 'https://{service_host}/blockmodel/orgs/{org_id}/workspaces/{workspace_id}/block-models/{bm_id}/report-specifications/{rs_id}/results/{report_result_uuid}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"bm_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"categories": [
{
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "Rock type"
}
],
"cutoff_col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"referenced_columns": [
{
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"data_type": "Utf8",
"title": "Something",
"unit_id": "string",
"unit_id_from_version": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
],
"report_result_created_at": "2024-07-29T15:51:28.071Z",
"report_result_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"report_specification_description": "string",
"report_specification_name": "Density Report",
"report_specification_revision": 1,
"report_specification_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"result_sets": [
{
"cutoff_value": 0,
"rows": [
{
"categories": [
"string",
0,
0,
true,
null
],
"values": [
0,
0
]
}
]
}
],
"value_columns": [
{
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "Average gold content",
"unit_id": "ppm[mass]"
}
],
"version_comment": "string",
"version_created_at": "2024-07-29T15:51:28.071Z",
"version_created_by": {
"additionalProp1": "string",
"additionalProp2": "number",
"additionalProp3": "boolean"
},
"version_id": 2,
"version_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"volume_filter_options": {
"volume_filter": {
"mesh": {
"geoscience_object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"geoscience_version_id": "string",
"selector": "string"
},
"spatial_relation": "INSIDE"
},
"volume_filter_block_inclusion": "CENTROID_IN"
},
"warnings": [
{
"message": "Density value was null, or less than or equal to 0. The default density value of 2.7 was used.",
"occurrences": 1,
"warning_type": "INVALID_DENSITY_VALUE"
}
]
}
List Report Results for a Report Specification
Block Model API
Gets all Report Results for a Report Specification identified by rs_id.
The list is ordered from the most recently created to the least recently created Report Result.
This endpoint is paginated, therefore by default this lists, at most, the first 50 items. To get other items, use
the offset and limit query parameters to select the desired part of the list.
An offset beyond the total number of Report Results for the Report Specification will result in an empty results list.
The limit must be an integer from 1 to 100.
The response includes total, which is the total number of items within the list.
All workspace roles can use this endpoint.
Parameters
Example: "e478e8de-f6ba-4920-8c6e-0882e90f00e2"
ID of the Report Specification that this call is scoped to. Represented as a v4 UUID.
Example: "860be2f5-fe06-4c1b-ac8b-7d34d2b6d2ef"
ID of the workspace this call is scoped to. Represented as a v4 UUID.
Example: "bf1a040c-8c58-4bc2-bec2-c5ae7de8bd84"
ID of the organization this call is scoped to. Represented as a v4 UUID.
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model this call is scoped to. Represented as a v4 UUID.
Index of the first item to return.
50Maximum number of items to return from the list. Must be greater than 0 and less than or equal to 100.
Returns
200
Successful Response
Number of results returned in results
Maximum number of items requested
Index of the first item in results with respect to the full list without pagination
List of results
Example: "2021-01-01T00:00:00Z"
Creation date of the Report Result
Example: "ccc277c2-edc6-4a7a-8380-251dd19231f2"
ID of the Report Result
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the report specification that was run
Example: "2021-01-01T00:00:00Z"
Creation date of the version of the block model that the report was run on
User who created the version of the block model that the report was run on
Example: 2
Version ID of the version of block model that the report was run on
Example: "ccc277c2-edc6-4a7a-8380-251dd19231f2"
Version UUID of the version of block model that the report was run on
Volume filter options applied to the report
Volume filter expression
Mesh defining the volume filter
UUID of the mesh
Version ID of the mesh; uses latest when omitted
Identifier for nested mesh within a geological-model-mesh
Relation for the volume filter
Operator joining the nested volume filters
Volume filters or nested volume filter groups
How qualifying blocks contribute to the report
Total number of items within the full list without pagination
Endpoint
Request
curl -X GET 'https://{service_host}/blockmodel/orgs/{org_id}/workspaces/{workspace_id}/block-models/{bm_id}/report-specifications/{rs_id}/results' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"count": 0,
"limit": 0,
"offset": 0,
"results": [
{
"report_result_created_at": "2024-07-29T15:51:28.071Z",
"report_result_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"report_specification_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"version_created_at": "2024-07-29T15:51:28.071Z",
"version_created_by": {
"additionalProp1": "string",
"additionalProp2": "number",
"additionalProp3": "boolean"
},
"version_id": 2,
"version_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"volume_filter_options": {
"volume_filter": {
"mesh": {
"geoscience_object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"geoscience_version_id": "string",
"selector": "string"
},
"spatial_relation": "INSIDE"
},
"volume_filter_block_inclusion": "CENTROID_IN"
}
}
],
"total": 0
}
Run a Reporting Job
Block Model API
Run a new Reporting Job.
The Reporting Job will generate a Report Result for the provided block model version using the latest revision of the Report Specification.
Parameters
Example: "e478e8de-f6ba-4920-8c6e-0882e90f00e2"
ID of the Report Specification that this call is scoped to. Represented as a v4 UUID.
Example: "860be2f5-fe06-4c1b-ac8b-7d34d2b6d2ef"
ID of the workspace this call is scoped to. Represented as a v4 UUID.
Example: "bf1a040c-8c58-4bc2-bec2-c5ae7de8bd84"
ID of the organization this call is scoped to. Represented as a v4 UUID.
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model this call is scoped to. Represented as a v4 UUID.
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model version to run the report against. If not provided, the latest will be used.
Volume filter options override for this report run
Volume filter expression
Mesh defining the volume filter
UUID of the mesh
Version ID of the mesh; uses latest when omitted
Identifier for nested mesh within a geological-model-mesh
Relation for the volume filter
Operator joining the nested volume filters
Volume filters or nested volume filter groups
How qualifying blocks contribute to the report
{
"version_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"volume_filter_options": {
"volume_filter": {
"mesh": {
"geoscience_object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"geoscience_version_id": "string",
"selector": "string"
},
"spatial_relation": "INSIDE"
},
"volume_filter_block_inclusion": "CENTROID_IN"
}
}
Returns
200
OK
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the Reporting Job.
Example: 5
Identifier for the version within a block model as a monotonically increasing integer, where 1 is
the version_id for the version created upon creation of the block model.
Example: "3e9ce8de-f6ba-4920-8c6e-0882e90f0ed7"
A universally unique identifier for the version
Endpoint
Request
curl -X POST 'https://{service_host}/blockmodel/orgs/{org_id}/workspaces/{workspace_id}/block-models/{bm_id}/report-specifications/{rs_id}/jobs' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"bm_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"job_url": "https://example.com",
"job_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"report_specification_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"version_id": 5,
"version_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Get a comparison between two Report Results
Block Model API
Get a comparison of two Report Results for a Report Specification
Parameters
Example: "e478e8de-f6ba-4920-8c6e-0882e90f00e2"
ID of the Report Specification that this call is scoped to. Represented as a v4 UUID.
Example: "860be2f5-fe06-4c1b-ac8b-7d34d2b6d2ef"
ID of the workspace this call is scoped to. Represented as a v4 UUID.
Example: "bf1a040c-8c58-4bc2-bec2-c5ae7de8bd84"
ID of the organization this call is scoped to. Represented as a v4 UUID.
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model this call is scoped to. Represented as a v4 UUID.
Base Report Result UUID to compare
Report Result UUID to compare to
Number of decimal places to use for comparison (between 0 and 10 inclusive)
Returns
200
Successful Response
Example: "bbb277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model that the report was run on
Example: {"col_id":"ddd277c2-edc6-4a7a-8380-251dd19231f2","label":"Rock type"}
List of categories used in the report
Example: "ddd277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model column
Example: "Rock type"
Label of the column
Example: "ccc277c2-edc6-4a7a-8380-251dd19231f2"
ID of the column that was used for cut-off evaluation
Example: "eee277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model column
Example: "Utf8"
Data type of the referenced column in the Report Result
Example: "Something"
Title of the referenced column
Example: "ppm[mass]"
ID of the unit of the column
Example: "ccc277c2-edc6-4a7a-8380-251dd19231f2"
Version UUID of the version of block model that the unid was from
Example: "2021-01-01T00:00:00Z"
Creation date of the Report Result
Example: "ccc277c2-edc6-4a7a-8380-251dd19231f2"
ID of the Report Result
Example: "Updated density"
Comment of the version of the block model that the report was run on
Example: "2021-01-01T00:00:00Z"
Creation date of the version of the block model that the report was run on
User who created the version of the block model that the report was run on
Example: 2
Version ID of the version of the block model that the report was run on
Example: "ccc277c2-edc6-4a7a-8380-251dd19231f2"
Version UUID of the version of block model that the report was run on
Volume filter options applied to the report
Volume filter expression
Mesh defining the volume filter
UUID of the mesh
Version ID of the mesh; uses latest when omitted
Identifier for nested mesh within a geological-model-mesh
Relation for the volume filter
Operator joining the nested volume filters
Volume filters or nested volume filter groups
How qualifying blocks contribute to the report
Example: "A report to show the density of the block model"
Description of the Report Specification that was run
Example: "Density Report"
Name of the Report Specification that was run
Example: 1
Revision of the Report Specification that was run
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the Report Specification that was run
Example: 1
Cut-off value used in the report
Example: {"categories":["Granite"],"values":[2.7,0.3]}
List of rows in the Report Result
Example: ["Granite"]
List of category values. null indicates a total for that category column.
Example: [2.7,0.3]
List of values for the value columns
Example: "eee277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model column
Example: "Utf8"
Data type of the referenced column in the Report Result
Example: "Something"
Title of the referenced column
Example: "ppm[mass]"
ID of the unit of the column
Example: "ccc277c2-edc6-4a7a-8380-251dd19231f2"
Version UUID of the version of block model that the unid was from
Example: "2021-01-01T00:00:00Z"
Creation date of the Report Result
Example: "ccc277c2-edc6-4a7a-8380-251dd19231f2"
ID of the Report Result
Example: "Updated density"
Comment of the version of the block model that the report was run on
Example: "2021-01-01T00:00:00Z"
Creation date of the version of the block model that the report was run on
User who created the version of the block model that the report was run on
Example: 2
Version ID of the version of the block model that the report was run on
Example: "ccc277c2-edc6-4a7a-8380-251dd19231f2"
Version UUID of the version of block model that the report was run on
Volume filter options applied to the report
Volume filter expression
Mesh defining the volume filter
UUID of the mesh
Version ID of the mesh; uses latest when omitted
Identifier for nested mesh within a geological-model-mesh
Relation for the volume filter
Operator joining the nested volume filters
Volume filters or nested volume filter groups
How qualifying blocks contribute to the report
Example: {"col_id":"eee277c2-edc6-4a7a-8380-251dd19231f2","label":"Average gold content","unit_id":"ppm[mass]"}
List of value columns used in the report
Example: "eee277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model column, if applicable. This will be null for system-calculated columns such as 'Mass'
Example: "Average gold content"
Label of the column
Example: "ppm[mass]"
ID of the unit of the column
Example: "Density value was null, or less than or equal to 0. The default density value of 2.7 was used."
Warning message
Example: 1
Number of occurrences of the warning
Example: "INVALID_DENSITY_VALUE"
Type of warning
Example: "Density value was null, or less than or equal to 0. The default density value of 2.7 was used."
Warning message
Example: 1
Number of occurrences of the warning
Example: "INVALID_DENSITY_VALUE"
Type of warning
Example: "Density value was null, or less than or equal to 0. The default density value of 2.7 was used."
Warning message
Example: 1
Number of occurrences of the warning
Example: "INVALID_DENSITY_VALUE"
Type of warning
Endpoint
Request
curl -X GET 'https://{service_host}/blockmodel/orgs/{org_id}/workspaces/{workspace_id}/block-models/{bm_id}/report-specifications/{rs_id}/comparisons' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"bm_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"categories": [
{
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "Rock type"
}
],
"cutoff_col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"from_result": {
"referenced_columns": [
{
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"data_type": "Utf8",
"title": "Something",
"unit_id": "string",
"unit_id_from_version": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
],
"report_result_created_at": "2024-07-29T15:51:28.071Z",
"report_result_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"version_comment": "string",
"version_created_at": "2024-07-29T15:51:28.071Z",
"version_created_by": {
"additionalProp1": "string",
"additionalProp2": "number",
"additionalProp3": "boolean"
},
"version_id": 2,
"version_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"volume_filter_options": {
"volume_filter": {
"mesh": {
"geoscience_object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"geoscience_version_id": "string",
"selector": "string"
},
"spatial_relation": "INSIDE"
},
"volume_filter_block_inclusion": "CENTROID_IN"
}
},
"report_specification_description": "string",
"report_specification_name": "Density Report",
"report_specification_revision": 1,
"report_specification_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"result_sets": [
{
"cutoff_value": 0,
"rows": [
{
"categories": [
"string",
0,
0,
true,
null
],
"values": [
{
"difference": 0,
"from_value": 0,
"percent": 0,
"to_value": 0
}
]
}
]
}
],
"to_result": {
"referenced_columns": [
{
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"data_type": "Utf8",
"title": "Something",
"unit_id": "string",
"unit_id_from_version": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
],
"report_result_created_at": "2024-07-29T15:51:28.071Z",
"report_result_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"version_comment": "string",
"version_created_at": "2024-07-29T15:51:28.071Z",
"version_created_by": {
"additionalProp1": "string",
"additionalProp2": "number",
"additionalProp3": "boolean"
},
"version_id": 2,
"version_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"volume_filter_options": {
"volume_filter": {
"mesh": {
"geoscience_object_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"geoscience_version_id": "string",
"selector": "string"
},
"spatial_relation": "INSIDE"
},
"volume_filter_block_inclusion": "CENTROID_IN"
}
},
"value_columns": [
{
"col_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"label": "Average gold content",
"unit_id": "ppm[mass]"
}
],
"warnings": {
"comparison": [
{
"message": "Density value was null, or less than or equal to 0. The default density value of 2.7 was used.",
"occurrences": 1,
"warning_type": "INVALID_DENSITY_VALUE"
}
],
"from_result": [
{
"message": "Density value was null, or less than or equal to 0. The default density value of 2.7 was used.",
"occurrences": 1,
"warning_type": "INVALID_DENSITY_VALUE"
}
],
"to_result": [
{
"message": "Density value was null, or less than or equal to 0. The default density value of 2.7 was used.",
"occurrences": 1,
"warning_type": "INVALID_DENSITY_VALUE"
}
]
}
}
Run a Report Comparison Job
Block Model API
Request a Report Comparison between two versions.
This will either create a new comparison job, or return Report Result IDs for existing report results if both are already available.
Parameters
Example: "e478e8de-f6ba-4920-8c6e-0882e90f00e2"
ID of the Report Specification that this call is scoped to. Represented as a v4 UUID.
Example: "860be2f5-fe06-4c1b-ac8b-7d34d2b6d2ef"
ID of the workspace this call is scoped to. Represented as a v4 UUID.
Example: "bf1a040c-8c58-4bc2-bec2-c5ae7de8bd84"
ID of the organization this call is scoped to. Represented as a v4 UUID.
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model this call is scoped to. Represented as a v4 UUID.
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model version to use as the baseline for the comparison.
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the block model version to compare.
{
"from_version_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"to_version_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Returns
200
OK
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the Report Result for the baseline version, or null if the result does not yet exist (and a job was created).
URL to the Report Comparison Job, if created. If both results already exist, no job will be created and this will be null.
Example: "e3c277c2-edc6-4a7a-8380-251dd19231f2"
ID of the Report Result for the version to compare, or null if the result does not yet exist (and a job was created).
Endpoint
Request
curl -X POST 'https://{service_host}/blockmodel/orgs/{org_id}/workspaces/{workspace_id}/block-models/{bm_id}/report-specifications/{rs_id}/comparisons' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"from_result_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"job_url": "https://example.com",
"to_result_uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}